# Uses of Interface
org.globus.gsi.provider.SigningPolicyStore

Packages that use SigningPolicyStore
Package
Description
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.
org.globus.gsi.jsse
org.globus.gsi.provider
org.globus.gsi.provider.simple
org.globus.gsi.stores
This package provides classes for accessing security material from generic "stores" (which can be defined via a url).
org.globus.gsi.trustmanager

## Uses of SigningPolicyStore in org.globus.gsi

Methods in org.globus.gsi that return SigningPolicyStore
Modifier and Type
Method
Description
`SigningPolicyStore`
X509ProxyCertPathParameters.`getSigningPolicyStore()`
Constructors in org.globus.gsi with parameters of type SigningPolicyStore
Modifier
Constructor
Description
``
`X509ProxyCertPathParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy)`
``
`X509ProxyCertPathParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy, Map<String,ProxyPolicyHandler> initHandlers)`

## Uses of SigningPolicyStore in org.globus.gsi.jsse

Methods in org.globus.gsi.jsse that return SigningPolicyStore
Modifier and Type
Method
Description
`SigningPolicyStore`
SSLConfigurator.`getPolicyStore()`
Methods in org.globus.gsi.jsse with parameters of type SigningPolicyStore
Modifier and Type
Method
Description
`void`
SSLConfigurator.`setPolicyStore(SigningPolicyStore policyStore)`

## Uses of SigningPolicyStore in org.globus.gsi.provider

Constructors in org.globus.gsi.provider with parameters of type SigningPolicyStore
Modifier
Constructor
Description
``
`GlobusTrustManagerFactoryParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy)`
``
`GlobusTrustManagerFactoryParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy, Map<String,ProxyPolicyHandler> handlers)`

## Uses of SigningPolicyStore in org.globus.gsi.provider.simple

Classes in org.globus.gsi.provider.simple that implement SigningPolicyStore
Modifier and Type
Class
Description
`class`
`SimpleMemorySigningPolicyStore`
Deprecated.

## Uses of SigningPolicyStore in org.globus.gsi.stores

Classes in org.globus.gsi.stores that implement SigningPolicyStore
Modifier and Type
Class
Description
`class`
`ResourceSigningPolicyStore`
FILL ME

## Uses of SigningPolicyStore in org.globus.gsi.trustmanager

Fields in org.globus.gsi.trustmanager declared as SigningPolicyStore
Modifier and Type
Field
Description
`protected SigningPolicyStore`
X509ProxyCertPathValidator.`policyStore`
Constructors in org.globus.gsi.trustmanager with parameters of type SigningPolicyStore
Modifier
Constructor
Description
``
`SigningPolicyChecker(SigningPolicyStore policyStore)`